cancel
Showing results for 
Search instead for 
Did you mean: 

Wich Pulse Secure Cliebt version work on OSX 10.7.5 Lion?

Highlighted
New Contributor

Wich Pulse Secure Cliebt version work on OSX 10.7.5 Lion?

I need to connect to my Windows10 PC at work.

I got Pulse Secure Client versione 9.0R2 but it deserve Mac OS-X 10.11 or above.

I have an iMac with OS-X 10.7.5. I don't want to upgrade to OSX 10.11. where can I find an old Pulse Secure Client compatible with OSX 10.7.5 Lion?

Thank you!